# 原理说明

传统的消息发布往往是一条消息对应 N 个用户，并且为每个用户都有一条记录，如果有 10 万个用户，那么每发布一条消息都要等很久很久(等所有记录插入完)，而且还增加数据库的空间。

CareyShop框架则采用消息与用户完全独立，发布消息时只插入一条消息记录，通过消息列表页区分是否有新消息，这时完全没有多余数据。当用户读取、删除、标记已读、未读等操作时才正式产生用户记录，这样服务器的压力将由时间片进行分散。

#### 备注
1. 接口中所说的用户包括`顾客组`的所有成员和`管理组`的所有成员。顾客是用户，那么`管理组`的运营、客户、财务等等也属于用户，所以概念不要弄错，并且接口会自动识别当前登录用户属于哪个组。

2. 本册文档中所有的返回数据结构都是针对`管理组`进行的，`顾客组`请查阅[「CareyShop 顾客组API 使用手册」](/api/client/ "「CareyShop 顾客组API 使用手册」")。