# 订单批量确认收货

#### 接口描述：
- 订单批量确认收货。(卖家也可进行此操作)

#### 请求 URL：
- `http|https://host/api/v1/order/method/complete.order.list/`

#### 请求方式：
- GET
- POST

#### 是否授权：
- 需要授权

#### 业务参数：
|参数名|类型|是否必须|范围值|默认值|示例值|描述|
|:----|:---|:---:|:-----|:-----|:-----|-----|
|order_no |string |是 |max[]:50 | |[PO_I1049550...] |订单号 |

#### 响应参数：
|参数名|类型|是否返回|示例值|描述|
|:-----|:-----|:---:|:-----|-----|
|status |integer |是 |200 |状态码 |
|message |string |是 |success |消息信息 |
|data |boolean |是 |true |返回 true 表示执行成功 |

#### 响应示例：
```json
{
  "status": 200,
  "message": "success",
  "data": true
}
```

#### 备注:
1. 订单确认收货后，如果该笔订单下存在`售后服务单`将被系统全部取消，买家如有需要可以重新申请。

2. 订单确认收货后系统会结算`累计消费金额、赠送积分、赠送优惠劵`等一系列的账务清算。

3. 当`delivery_status`值不等于`1`时不允许操作。

4. 当`trade_status`值等于`3`时不允许操作。

5. 当`trade_status`值不等于`2`或等于`0`时不允许操作。