# 订单批量设为配货状态

#### 接口描述：
- 订单批量设为配货状态。

#### 请求 URL：
- `http|https://host/api/v1/order/method/picking.order.list/`

#### 请求方式：
- GET
- POST

#### 是否授权：
- 需要授权

#### 业务参数：
|参数名|类型|是否必须|范围值|默认值|示例值|描述|
|:----|:---|:---:|:-----|:-----|:-----|-----|
|order_no |string |是 |max[]:50 | |[PO_I1049550...] |订单号 |

#### 响应参数：
|参数名|类型|是否返回|示例值|描述|
|:-----|:-----|:---:|:-----|-----|
|status |integer |是 |200 |状态码 |
|message |string |是 |success |消息信息 |
|data |object |否 |[] |返回对象 |

|data|类型|是否返回|示例值|描述|
|:-----|:-----|:---:|:-----|-----|
|trade_status |integer |是 |1 |交易状态 0=待处理 1=配货中 2=已发货 3=已完成 4=已取消 |

#### 响应示例：
```json
{
  "status": 200,
  "message": "success",
  "data": {
    "trade_status": 1
  }
}
```

#### 备注:
1. 当`payment_status`值不等于`1`时不允许操作。

2. 当`trade_status`值不等于`0`并且不等于`1`时不允许操作。

3. 该操作可多次操作，当`trade_status`值等于`0`时状态变为`配货中`，否则表示`取消配货`，恢复到`待处理`状态。