# 参数验证

业务参数中对所有值都有一定的限制，如果不符合规则会返回错误信息，一般常见的有账号、标题、昵称等字符串长度的限制。所以在接口文档中有`范围值`一栏，您需要知道某个参数可选的范围，下面这张表格将一一列出：

|范围值   |含义   |示例   |
| ------------ | ------------ | ------------ |
|in|某个字段的值是否在某个范围|`in:1,2,3`值只能是 1 或 2 或 3|
|between|某个字段的值是否在某个区间|`between:1,10`值只能在 1~10 的范围内|
|length|某个字段的值的长度是否在某个范围|`length:4,25`值的长度只能在 4~24 的范围内|
|max|某个字段的值的最大长度|`max:25`值的最长长度为 25|
|min|某个字段的值的最小长度|`min:5`值的最小长度必须是 5|
|eq|某个字段的值必须等于某个值|`eq:0`值必须等于 0|
|egt|某个字段的值必须大于等于某个值|`eqt:0`值必须大于等于 0|
|gt|某个字段的值必须大于某个值|`gt:0`值必须大于 0|
|elt|某个字段的值必须小于等于某个值|`elt:0`值必须小于等于 0|
|lt|某个字段的值必须小于某个值|`lt:0`值必须小于 0|
|date|某个字段的值必须是有效的日期|验证值是否为有效的日期|
|dateFormat |验证某个字段的值是否为指定格式的日期 |`dateFormat:y-m-d` 值的格式必须是`2018-10-1`|
|requireWith|当某个字段有值的时候该字段必须填写|`requireWith:account`当account有值的时候该字段必须填写|
|beforeTime|某个字段的值必须小于某个字段(时间) |`beforeTime:end_time`某个值的时间必须小于`end_time`字段的时间|
|afterTime |某个字段的值必须大于某个字段(时间) |`afterTime:begin_time`某个值的时间必须大于`begin_time`字段的时间|

::: tip 提示
如果范围值后面增加了`[]`代表该字段需要数组参数，例如：`gt[]:0`则表示`[]`内的每个值都必须大于 0。
:::
