# 响应请求

客户端发送的每次调用请求，无论成功与否，系统都会返回数据。根据客户端请求参数`format`不同响应格式也会不同，但不管何种格式，数据结构体必定一样。数据结构如下：
```json
{
    "status": 200,
    "message": "success",
    "data": {
        "app_id": 1,
        "app_name": "Web",
        "app_key": 64366417,
        "app_secret": "78ade47b896bccf03d770a4f8e3d2968",
        "status": 1
    }
}
```

## 成功
|字段   |含义   |类型   |是否返回   |值   |描述   |
| ------ | ------ | ------ | ------ | ------ | ------ |
|status   |状态码   |number   |是 |200   |200 表示成功，其他表示失败   |
|message   |消息信息   |string   |是 |success   |成功返回 success   |
|data   |返回数据   |object&#124;array   |是&#124;否 |...   |根据业务返回的数据   |

## 失败
|字段   |含义   |类型   |是否返回   |描述   |
| ------ | ------ | ------ | ------ | ------ |
|status   |状态码   |number   |是 |不同的状态码   |
|message   |消息信息   |string   |是 |失败原因   |

## 备注
1. 本册文档中所有的返回数据结构都是针对`管理组`进行的，`顾客组`请查阅[「CareyShop 顾客组API 使用手册」](/api/client/ "「CareyShop 顾客组API 使用手册」")。

2. 客户端请求 API 返回结果后，是否成功一定要从数据结构中的`status`字段进行判断

3. <span style="color:#d9534f">在接口文档中，`是否返回`一栏被标注为`是`时，该字段必定返回，否则字段不返回或返回空值的字段。</span>

4. <span style="color:#d9534f">返回类型为`object`或`array`时，`是否返回`一栏被标注为`否`时，那么该字段不返回或只返回字段而没有值。</span>

5. 防止运营商劫持请查阅[「防止劫持」](/guide/hijack/ "「防止劫持」")。