# 查询应用验证码状态

#### 接口描述：
- 查询某个应用是否启用验证码。

#### 请求 URL：
- `http|https://host/api/v1/app/method/get.app.captcha/`

#### 请求方式：
- GET
- POST

#### 是否授权：
- 否

#### 业务参数：
|参数名|类型|是否必须|范围值|默认值|示例值|描述|
|:----|:---|:---:|:-----|:-----|:-----|-----|
|appkey |string |是 |min:0 | |89213777 |钥匙 |

#### 响应参数：
|参数名|类型|是否返回|示例值|描述|
|:-----|:-----|:---:|:-----|-----|
|status |integer |是 |200 |状态码 |
|message |string |是 |success |消息信息 |
|data |object |是 |[] |返回对象 |

|data|类型|是否返回|示例值|描述|
|:-----|:-----|:---:|:-----|-----|
|captcha |bool |是 |true |是否启用 |
|session_id |string |是 |IOS |验证码标识 |

#### 响应示例：
```json
{
    "status": 200,
    "message": "success",
    "data": {
        "captcha": true,
        "session_id": "5d47ef5ad43b424da3af99252396a2b2"
    }
}
```

#### 备注:
`顾客组`或`管理组`账号登录前需要查询此接口，以明确某个应用是否启用了验证码。

由于模块默认不启用`session`，所以`session_id`是系统给出的模拟标识，在验证或显示验证码时都需要传入该值。

如果您启用了`session`，则可以不需要该字段。